function ode01_demo
%
exact = @(t) 90*exp(-0.1*t)+10;

[t, y] = ode23(@fcn, [0 60], 100);
plot(t, y, '+', 'linewidth', 3);
xlabel('time'); ylabel('y value');
hold on;
plot(t, exact(t), 'or', 'linewidth', 1); % Exact solution.
grid
hold off;
end

function yprime = fcn(t, y)
  yprime = -0.1*(y-10);
end
